The signature used in the XPI is not valid (-260)

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

The signature used in the XPI is not valid (-260)

John Smith-58

I have signed my XPI using signtool 3.10, but when I try to import it into
FF 2.0.0.2 I got "The signature used in the XPI is not valid -260" error. I
tried to validate signature using signtool -v and -w options, but signture
verification fails with "reported reason: Untrusted issuer" message. I do
have issuer of my code signing cert installed under "trusted root certs" in
FF.

What should I do? :(


_______________________________________________
dev-tech-xpinstall mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xpinstall
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: The signature used in the XPI is not valid (-260)

Ahryman40k
"John Smith" <[hidden email]> a écrit dans le message de news:
[hidden email]...
>
> I have signed my XPI using signtool 3.10, but when I try to import it into
> FF 2.0.0.2 I got "The signature used in the XPI is not valid -260" error.
> I tried to validate signature using signtool -v and -w options, but
> signture verification fails with "reported reason: Untrusted issuer"
> message. I do have issuer of my code signing cert installed under "trusted
> root certs" in FF.
>
> What should I do? :(

Hi,

i already have the same problem, i have sign my xpi package with signtool
and the .db files ( cert8.db, key3.db, secmod.db ) coming from  Firefox
profile directory.
In this profile, my certificate data was loaded successfully and i can find
it in the certificate database.

signtool sign successfully my package, but when attempting to install it,
the same error message : "The signature used in the XPI is not valid -260"
appears.

I don't understand why signing my package whith the same database than
firefox doesn't work and produces this error ?

thanks for your help.



_______________________________________________
dev-tech-xpinstall mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xpinstall
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: The signature used in the XPI is not valid (-260)

John Smith-58

Have you found a solution? I haven't. :(


_______________________________________________
dev-tech-xpinstall mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xpinstall
Loading...